Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fonts.truetype
Class OFDirTabEntry

    java.lang.Object
      org.apache.fop.fonts.truetype.OFDirTabEntry

    public class OFDirTabEntry

extends java.lang.Object

This class represents an entry to a TrueType font's Dir Tab.

Constructor Summary
`OFDirTabEntry()`
`OFDirTabEntry(long offset, long length)`

Method Summary
`long` | `getChecksum()` Returns the checksum.
`long` | `getLength()` Returns the length.
`long` | `getOffset()` Returns the offset.
`byte[]` | `getTag()` Returns the tag bytes.
`java.lang.String` | `getTagString()` Returns the tag bytes.
`java.lang.String` | `read(FontFileReader in)` Read Dir Tab.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OFDirTabEntry

    public OFDirTabEntry()

### OFDirTabEntry

    public OFDirTabEntry(long offset,
                         long length)

Method Detail

### read

    public java.lang.String read(FontFileReader in)
                          throws java.io.IOException

  Read Dir Tab.

  Parameters:
    `in` - font file reader
  Returns:
    tag name
  Throws:
    `java.io.IOException` - upon I/O exception

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getChecksum

    public long getChecksum()

  Returns the checksum.

  Returns:
    int

### getLength

    public long getLength()

  Returns the length.

  Returns:
    long

### getOffset

    public long getOffset()

  Returns the offset.

  Returns:
    long

### getTag

    public byte[] getTag()

  Returns the tag bytes.

  Returns:
    byte[]

### getTagString

    public java.lang.String getTagString()

  Returns the tag bytes.

  Returns:
    byte[]

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.